<template lang="">
    <div>
        <label>Username</label>
        <!-- fires whenever event changes -->
        <input @input="onUsernameChange" type="text"/>
        <label>Password</label>
        <input @input="onPasswordChange" type="text"/>
        <button>Login</button>
        <button>Register</button>
        
    </div>
</template>
<script>
import { mapActions, mapMutations, mapState } from 'vuex'

export default {
    name: 'Login',
    computed: {
        ...mapState([ 'error' ])
    }
    methods: {
        ...mapActions([ 'loginUser', 'registerUser' ]),
        ...mapMutations([ 'setUsername', 'setPassword' ]),
        onRegisterClick(){
            //call method on store
            this.registerUser()
            if (!this.error) {
                //push to movies page
                this.$router.push('/movies')
            }
        },
        onLoginClick() {
            this.loginUser()
            if (!this.error) {
                //push to movies page
                this.$router.push('/movies')
            }
        }


        onPasswordChange() {
            event.target.value.trim()
        },
        onUsernameChange(event) {

        }

    }
}
</script>
    
<style scoped>
</style>